Airwallex logo

Transfers

Copy for LLMView as Markdown

Simulate the transfer lifecycle scenarios in the sandbox environment.

Endpoints
POST /api/v1/simulation/transfers/{id}/transition

Transition Transfer Status

POST /api/v1/simulation/transfers/{id}/transition

You can use this endpoint to simulate the status transition of your transfer. This is only available in the Sandbox environment. Learn about the transfer status lifecycleDocs.

Path parameters
idrequiredstring

Unique identifier of the transfer to transition the status of.

Headers
x-api-versionstring

x-api-version.

Request body
next_statusrequiredstring

The next status to transition to. Status can be OVERDUE, PROCESSING, SENT, PAID, FAILED, and CANCELLED.

failure_typestring

The type of failure to simulate.

ACCOUNT_CLOSED
ACCOUNT_CURRENCY_MISMATCH
ACCOUNT_INACTIVE_OR_DORMANT
ACCOUNT_UNDER_RESTRICTION
BENEFICIARY_BANK_RETURNED
BENEFICIARY_NAME_MISMATCH
BENEFICIARY_REQUESTED
CARD_ISSUER_ERROR
CHANNEL_POLICY
CHANNEL_TIMEOUT
CLIENT_REQUESTED
DUPLICATION_RETURN
EXCEEDED_TRANSACTION_AMOUNT_OR_LIMIT
INBOUND_2B_CARD_NOT_SUPPORTED
INBOUND_BENFICIARY_VALIDATION_ERROR
INBOUND_COMPANY_REGISTRATION_NUMBER_ERROR
INBOUND_ORDER_ERROR
INSUFFICIENT_FUNDS
INVALID_ACCOUNT_NAME_OR_NUMBER
INVALID_BANK_INFORMATION
INVALID_BANK_OR_BRANCH_CODE
INVALID_BENEFICIARY_DETAILS
INVALID_CORRESPONDENT_BANK_INFORMATION
INVALID_PAYMENT_PURPOSE
INVALID_SPECIAL_CHARACTER
INVALID_SWIFT_BIC_CODE
OTHER
RECALL_REQUESTED
SYSTEM_ERROR
TM_SUSPENDED
TRANSACTION_AMOUNT_NOT_COVERING_FEE
UNABLE_TO_APPLY
Response body - 200 OK
amount_beneficiary_receivesnumber

The total amount (in transfer transfer_currency) the beneficiary receives for this transfer, and is governed by value specified in fee_paid_by, i.e. if fee_paid_by is PAYER, then the beneficiary receives the exact same transfer_amount since payer is responsible for the transfer fee. Otherwise, beneficiary receives transfer_amount - fee as the fee is implicitly passed onto the beneficiary.

amount_payer_paysnumber

The total amount (in source_currency) the payer has to pay for making this transfer. For example, if fee_paid_by is PAYER and FX conversion is not involved, then this is the sum of transfer_amount + fee as the payer is responsible for the fee. Otherwise this field is the same as transfer_amount.

application_fee_optionsarray

The application fee options applied to this transfer.

application_fee_options.amountstring

A positive integer specifying the amount of the fee expressed in the smallest unit of the currency. e.g. cents for USD. This field is required only when type is FIXED.

application_fee_options.currencystring

Specify the currency of the application fee in ISO 4217 currency code format, e.g., USD, AUD. This field is required when the type is FIXED.
When the type is PERCENTAGE and source_type is CONVERSION, the currency for the conversion if specified must be from the currency pair. If the currency is unspecified, the contra currency of the quote will be used.

application_fee_options.metadataobject

The metadata of the application fee. The value should be set in key:value format. (e.g., id:1).

application_fee_options.percentagestring

Required if the type is PERCENTAGE, and the value to be provided depends on the transaction context.
FX Conversions: The value acts as a markup on the FX rate, increasing the conversion cost by the specified percentage.
Others: The value represents a direct fee calculated as a percentage of the transaction amount.

application_fee_options.source_typestring

Specify type of the source transaction.

CONVERSION
TRANSFER
application_fee_options.typestring

Define the type of fee calculation. If the source_type is CONVERSION, then the type must be PERCENTAGE.

FIXED
PERCENTAGE
application_feesarray

Application fees in this transfer.

application_fees.amountstring

The application fee amount.

application_fees.currencystring

The currency of the application fee.

application_fees.source_typestring

Specify the type of source transaction for this application fee.

CONVERSION
TRANSFER
batch_transfer_idstring

Unique identifier of the batch containing the transfer.

beneficiaryobject

Details of the beneficiary.

beneficiary.additional_infoobject

Additional information about the beneficiary.

beneficiary.additional_info.business_areastring

Category of business activity.

beneficiary.additional_info.business_phone_numberstring

Business phone number.

beneficiary.additional_info.business_registration_numberstring

Business registration number.

beneficiary.additional_info.external_identifierstring

The identifier that you use to identify a beneficiary, usually a unique identifier. This field can be used to link transfers or beneficiaries to other records such as tax form details for filing purposes.

beneficiary.additional_info.legal_rep_bank_account_numberstring

Legal representative's personal bank account number used for declaration purposes. No funds will be sent to this account number.

beneficiary.additional_info.legal_rep_first_name_in_chinesestring

Legal representative first name in chinese.

beneficiary.additional_info.legal_rep_id_numberstring

Legal representative id number.

beneficiary.additional_info.legal_rep_last_name_in_chinesestring

Legal representative last name in chinese.

beneficiary.additional_info.legal_rep_mobile_numberstring

Legal representative’s mobile number associated with their bank account.

beneficiary.additional_info.personal_emailstring

Personal email.

beneficiary.additional_info.personal_first_name_in_chinesestring

Beneficiary's first name in Chinese.

beneficiary.additional_info.personal_id_numberstring

Personal unique identifier number.

beneficiary.additional_info.personal_id_typestring

Personal unique identifier type.

beneficiary.additional_info.personal_last_name_in_chinesestring

Beneficiary's last name in Chinese.

beneficiary.additional_info.personal_mobile_numberstring

Personal mobile number.

beneficiary.additional_info.recipient_account_idstring

Account unique identifier of the recipient account used for payout processing. The account must be active and have customer_agreements.terms_and_conditions.service_agreement_type set to RECIPIENT (verify via Retrieve account details API).

beneficiary.additional_info.security_questionstring

Security question. Required when the email address is not registered with Interac e-Transfer autodeposit.

beneficiary.additional_info.security_question_answerstring

Security question answer. Required when the email address is not registered with Interac e-Transfer autodeposit.

beneficiary.addressobject

Beneficiary's address details.

beneficiary.address.citystring

Beneficiary's city.

beneficiary.address.country_codestring

Beneficiary's country code (2-letter ISO 3166-2 country code).

beneficiary.address.postcodestring

Beneficiary's post code.

beneficiary.address.statestring

Beneficiary's state.

beneficiary.address.street_addressstring

Beneficiary's street address.

beneficiary.bank_detailsobject

Beneficiary's bank account details where the payment will be credited.

beneficiary.bank_details.account_currencystring

Account Currency.

beneficiary.bank_details.account_namestring

Account holder name of the beneficiary’s bank account.

beneficiary.bank_details.bank_country_codestring

Bank country code (2-letter ISO 3166-2 country code).

beneficiary.bank_details.account_name_aliasstring

The beneficiary’s account name known in the payment system. This is only supported in some regions and transfer methods. See detailed definitions in the Payouts Product DocsDocs.

beneficiary.bank_details.account_numberstring

Account number, mostly for non-european countries, either account_number or iban should be filled.

beneficiary.bank_details.account_routing_type1string

Routing code type.

beneficiary.bank_details.account_routing_type2string

Routing code sub type.

beneficiary.bank_details.account_routing_value1string

Routing code value.

beneficiary.bank_details.account_routing_value2string

Routing code sub type value.

beneficiary.bank_details.bank_account_categorystring

bank account type.

beneficiary.bank_details.bank_branchstring

Specific branch of bank account.

beneficiary.bank_details.bank_namestring

Bank name of the beneficiary's bank account.

beneficiary.bank_details.bank_statestring

Bank State.

beneficiary.bank_details.bank_street_addressstring

Bank street address.

beneficiary.bank_details.binding_mobile_numberstring

The mobile number tied to the Beneficiary's bank account.

beneficiary.bank_details.fingerprintstring

Fingerprint of current beneficiary's bank account.

beneficiary.bank_details.ibanstring

International bank account number, mostly for european countries.

beneficiary.bank_details.intermediary_bank_namestring

Bank name of the beneficiary's intermediary bank.

beneficiary.bank_details.intermediary_bank_swift_codestring

Intermediary bank SWIFT code / BIC,Should contain alphanumeric characters only, Should be a valid and supported SWIFT code / BIC.

beneficiary.bank_details.local_clearing_systemstring

Which clearing system should be used for this local bank transfer.

Please refer to our payout guide for details about each option.

We suggest explicitly specifying this value, however if it's not provided we will select a default (using the specified account routing type and/or what's most often the best option).

beneficiary.bank_details.swift_codestring

Bank swift code.

beneficiary.company_namestring

Company name of the beneficiary.

beneficiary.date_of_birthstring

beneficiary date of birth.

beneficiary.digital_walletobject

Beneficiary's digital wallet details where the payment will be credited.

beneficiary.digital_wallet.account_namestring

Account holder name of the beneficiary’s digital wallet.

beneficiary.digital_wallet.id_typestring

Account identifier type of the beneficiary’s digital wallet.

beneficiary.digital_wallet.id_valuestring

Account identifier value of the beneficiary’s digital wallet.

beneficiary.digital_wallet.providerstring

Service provider of the beneficiary's digital wallet.

beneficiary.digital_wallet.country_codestring

Digital wallet country code (2-letter ISO 3166-2 country code).

beneficiary.entity_typestring

Entity type of the beneficiary.

beneficiary.first_namestring

First name of the beneficiary.

beneficiary.last_namestring

Last name of the beneficiary.

beneficiary.typestring

Type of the beneficiary, indicating the type of account or method through which the beneficiary receives funds.

beneficiary_idstring

beneficiary_id of the beneficiary contact used to create this transfer.

conversionobject

Conversion details of a transfer with currency conversions.

conversion.currency_pairstring

The currency pair of the conversion.

conversion.ratenumber

The rate of the conversion.

created_atstring

The time this transfer request was created.

dispatch_datestring

Actual payout dispatch date. Payouts are dispatched at this date in actual processing. This date could be later than the transfer date.

dispatch_infoobject

Additional details populated after the transaction is sent to Airwallex's downstream for processing. Only available for some transfer methods - see Product DocsDocs for details.

dispatch_info.external_referencestring

A reference unique identifier to track a transfer after it's dispatched from Airwallex.

dispatch_info.external_reference_typestring

The definition of the external_reference in the payment system.

failure_reasonstring

Empty unless the transfer is in an error state.

failure_typestring

Empty unless the transfer is in an error state.

fee_amountnumber

The transfer fee (in source_currency) for sending this transfer.

fee_currencystring

The transfer fee currency. This should always equal to the source_currency.

fee_paid_bystring

Denotes whether PAYER / BENEFICIARY will be liable for the the transfer fee. Defaults to PAYER unless field is populated in the request.

fundingobject

The funding information of this transfer.

funding.statusstring

The funding status of this payment. Please see details in Funding StatusesDocs.

funding.deposit_typestring

Can be one of: FASTER_DIRECT_DEBIT, DIRECT_DEBIT.

funding.failure_detailsobject

Details about why the funding has failed. Only present when the funding is in a failure state.

funding.failure_details.codestring

Error code (details can be found hereDocs).

funding.failure_details.iso_codestring

Error code ISO 20022 (details can be found hereDocs).

funding.failure_details.provider_failure_detailsobject

A set of original information received from the local clearing system.

funding.failure_details.provider_failure_details.codestring

The original error code received from the local clearing system.

funding.failure_details.provider_failure_details.local_clearing_systemstring

The local clearing system used for the direct debit deposit. Possible values are AU_BECS, US_ACH, GB_BACS, EU_SEPA.

funding.failure_details.provider_failure_details.messagestring

The original error message received from the local clearing system.

funding.failure_reasonstring

Empty unless the funding is in an error state.

funding.funding_source_idstring

The id of the funding source, it can be null if using a wallet.

idstring

Returned id that can be used to query the status of the transfer.

lock_rate_on_createboolean

Denotes whether to lock the conversion rate for a scheduled transfer with value TRUE or FALSE.This field should only be specified when a conversion is involved. If not specified, the default value is TRUE.

metadataobject

A set of key-value pairs for storing your own data together with the transfer.

payerobject

Details of the payer.

payer.addressobject

Payer's address details.

payer.address.country_codestring

Payer's country code (2-letter ISO 3166-2 country code).

payer.address.citystring

Payer's city.

payer.address.postcodestring

Payer's post code.

payer.address.statestring

Payer's state.

payer.address.street_addressstring

Payer's street address.

payer.entity_typestring

Entity type of the payer.

payer.additional_infoobject

Additional information about the payer.

payer.additional_info.business_registration_numberstring

Business registration number.

payer.additional_info.business_registration_typestring

Type of business as registered with the local government authority.

payer.additional_info.external_idstring

Unique identifier of the person in your company.

payer.additional_info.personal_emailstring

Personal email.

payer.additional_info.personal_id_numberstring

Personal unique identifier number.

payer.company_namestring

Company name of the payer.

payer.date_of_birthstring

Payer's date of birth.

payer.first_namestring

First name of the payer.

payer.last_namestring

Last name of the payer.

payer_idstring

payer_id of the payer contact used to create this transfer.

prepaymentobject

Prepayment details for a schedule transfer with currency conversions at a confirmed rate.

prepayment.amountnumber

The prepayment amount to be paid.

prepayment.currencystring

The prepayment currency.

reasonstring

Reason for the transfer instruction.

referencestring

Bank transfer reference to be shown on beneficiary's bank transaction history.

remarksstring

Additional information about this transfer, which will not be passed to the beneficiary.

request_idstring

A unique request identifier specified in the transfer request.

short_reference_idstring

Short transfer reference for support purposes.

source_amountnumber

Amount to be received.

source_currencystring

Copied from the request if specified.

statusstring

The transfer status. Please see details in Transfer StatusesDocs.

swift_charge_optionstring

(For SWIFT transfers only), specify who should bear SWIFT charges, either SHARED (default) or PAYER.

transfer_amountnumber

Amount to be paid.

transfer_currencystring

Currency the transfer should be made in (3-letter ISO-4217 code).

transfer_datestring

Date when transfer should be made (Copied from the request if specified).

transfer_methodstring

Copied from the request if specified. Otherwise the system will populate this field automatically.

updated_atstring

The time this transfer request was last updated.

Errors
Error statusDescription
400

invalid_argument

401

credentials_invalid

500

service_unavailable

POST /api/v1/simulation/transfers/{id}/transition
$curl --request POST \
> --url 'https://api.sandbox.airwallex.com/api/v1/simulation/transfers/transfer_id/transition' \
> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \
> --header 'Content-Type: application/json' \
> --data '{
> "failure_type": "INVALID_ACCOUNT_NAME_OR_NUMBER",
> "next_status": "SENT"
>}'
Response (200 OK)
1{
2 "amount_beneficiary_receives": 99996,
3 "amount_payer_pays": 10004,
4 "application_fee_options": [
5 {
6 "amount": "5",
7 "currency": "AUD",
8 "percentage": "0.1",
9 "source_type": "TRANSFER",
10 "type": "FIXED"
11 }
12 ],
13 "application_fees": [
14 {
15 "amount": "5",
16 "currency": "AUD",
17 "source_type": "TRANSFER"
18 }
19 ],
20 "batch_transfer_id": "d9df6d02-4116-4376-82c7-064159cc878e",
21 "beneficiary": {
22 "additional_info": {
23 "business_area": "Travel",
24 "business_phone_number": "689342234",
25 "business_registration_number": "IT593003",
26 "external_identifier": "<string>",
27 "legal_rep_bank_account_number": "44250100003700000000",
28 "legal_rep_first_name_in_chinese": "小芳",
29 "legal_rep_id_number": "110108199304203520",
30 "legal_rep_last_name_in_chinese": "刘",
31 "legal_rep_mobile_number": "13651362890",
32 "personal_email": "[email protected]",
33 "personal_first_name_in_chinese": "大明",
34 "personal_id_number": "1234567890",
35 "personal_id_type": "NATIONAL_ID",
36 "personal_last_name_in_chinese": "李",
37 "personal_mobile_number": "13651362890",
38 "recipient_account_id": "<string>",
39 "security_question": "What is the name of my second puppy?",
40 "security_question_answer": "Scooby Doo"
41 },
42 "address": {
43 "city": "Melbourne",
44 "country_code": "AU",
45 "postcode": "3000",
46 "state": "VIC",
47 "street_address": "15 William Street"
48 },
49 "bank_details": {
50 "account_currency": "AUD",
51 "account_name": "Lee Da Ming",
52 "account_name_alias": "Lee D M",
53 "account_number": "12750852",
54 "account_routing_type1": "bsb",
55 "account_routing_type2": "sort_code",
56 "account_routing_value1": "083064",
57 "account_routing_value2": "123456",
58 "bank_account_category": "Checking,Savings,Vista,Maestra",
59 "bank_branch": "Melbourne",
60 "bank_country_code": "AU",
61 "bank_name": "National Australia Bank",
62 "bank_state": "<string>",
63 "bank_street_address": "500 Bourke Street, Melbourne 3000, Australia",
64 "binding_mobile_number": "654897612345",
65 "fingerprint": "2e99758548972a8e8822ad47fa1017ff72f06f3ff6a016851f45c398732bc50c",
66 "iban": "ES8023100001180000012345",
67 "intermediary_bank_name": "National Australia Bank",
68 "intermediary_bank_swift_code": "CTBAAU2S",
69 "local_clearing_system": "ACH",
70 "swift_code": "CTBAAU2S"
71 },
72 "company_name": "Complete Concrete Pty Ltd",
73 "date_of_birth": "1976-08-26",
74 "digital_wallet": {
75 "account_name": "John Walker Corporation",
76 "country_code": "US",
77 "id_type": "account_number",
78 "id_value": "1033106816639334",
79 "provider": "AIRWALLEX"
80 },
81 "entity_type": "COMPANY",
82 "first_name": "John",
83 "last_name": "Walker",
84 "type": "<string>"
85 },
86 "beneficiary_id": "<uuid>",
87 "conversion": {
88 "currency_pair": "USDEUR",
89 "rate": 0.761223
90 },
91 "created_at": "2017-03-22T16:08:02+1100",
92 "dispatch_date": "2017-03-29",
93 "dispatch_info": {
94 "external_reference": "CHK-100012345",
95 "external_reference_type": "PAPER_CHECK_NUMBER"
96 },
97 "failure_reason": "Insufficient funds",
98 "failure_type": "UNKNOWN",
99 "fee_amount": 4,
100 "fee_currency": "AUD",
101 "fee_paid_by": "PAYER",
102 "funding": {
103 "deposit_type": "DIRECT_DEBIT",
104 "failure_details": {
105 "code": "insufficient_funds",
106 "iso_code": "AM04",
107 "provider_failure_details": {
108 "code": "R01",
109 "local_clearing_system": "US_ACH",
110 "message": "INSUFFICIENT FUNDS"
111 }
112 },
113 "failure_reason": "regulatory_reason",
114 "funding_source_id": "b3856846-31b0-44d8-855d-e0eedf532282",
115 "status": "FUNDED"
116 },
117 "id": "d9af1614-a6a1-4d45-aae7-6858fc6d9ede",
118 "lock_rate_on_create": false,
119 "metadata": {
120 "order_id": "0123456789"
121 },
122 "payer": {
123 "additional_info": {
124 "business_registration_number": "EU300503",
125 "business_registration_type": "Partnership",
126 "external_id": "1234567890",
127 "personal_email": "[email protected]",
128 "personal_id_number": "1234567890"
129 },
130 "address": {
131 "city": "Melbourne",
132 "country_code": "AU",
133 "postcode": "3000",
134 "state": "VIC",
135 "street_address": "15 William Street"
136 },
137 "company_name": "Complete Concrete Pty Ltd",
138 "date_of_birth": "1976-08-26",
139 "entity_type": "COMPANY",
140 "first_name": "James",
141 "last_name": "Smith"
142 },
143 "payer_id": "<uuid>",
144 "prepayment": {
145 "amount": 12.34,
146 "currency": "USD"
147 },
148 "reason": "travel",
149 "reference": "PMT1936398",
150 "remarks": "Any information",
151 "request_id": "7f687fe6-dcf4-4462-92fa-80335301d9d2",
152 "short_reference_id": "20170322-9F6ML2",
153 "source_amount": 10000,
154 "source_currency": "AUD",
155 "status": "PROCESSING",
156 "swift_charge_option": "SHARED",
157 "transfer_amount": 10000,
158 "transfer_currency": "AUD",
159 "transfer_date": "2017-03-24",
160 "transfer_method": "SWIFT",
161 "updated_at": "2017-03-24T18:00:02+1100"
162}
Was this section helpful?